Bug 1789783 - Review Request: php-webimpress-http-middleware-compatibility - Compatibility library for Draft PSR-15 HTTP Middleware
Summary: Review Request: php-webimpress-http-middleware-compatibility - Compatibility ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-10 12:34 UTC by Remi Collet
Modified: 2020-01-14 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-14 10:54:55 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-10 12:34:31 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/webimpress/php-webimpress-http-middleware-compatibility.git/plain/php-webimpress-http-middleware-compatibility.spec?id=45898c463e64bf1ae76f7993b06cc64b14af93c7
SRPM URL: http://rpms.remirepo.net/SRPMS/php-webimpress-http-middleware-compatibility-0.1.4-1.remi.src.rpm
Description: 
The purpose of the library is to deliver consistent interface for
different versions of http-interop/http-middleware which implements
Draft of PSR-15 HTTP Middleware.

Many projects currently use different version of library
http-interop/http-middleware and updating to newest version requires
usually major release. The library lets consumers of your component
decide what version of http-interop/http-middleware they want to use
and allow them to migrate to the latest version at any time.

Autoloader: /usr/share/php/webimpress/http-middleware-compatibility/autoload.php


Fedora Account System Username: remi


---

Needed for ZF => Laminas move

Comment 1 Robert-André Mauchin 2020-01-12 20:59:52 UTC
 - Please own this directory

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/webimpress


Package approved. Please fix the aforementioned issue before import.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "*No copyright* BSD 2-clause "Simplified" License". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/php-webimpress-http-middleware-
     compatibility/review-php-webimpress-http-middleware-
     compatibility/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/webimpress
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[ ]: Run phpci static analyze on all php files.
     Note: Test run failed


Rpmlint
-------
Checking: php-webimpress-http-middleware-compatibility-0.1.4-1.fc32.noarch.rpm
          php-webimpress-http-middleware-compatibility-0.1.4-1.fc32.src.rpm
php-webimpress-http-middleware-compatibility.noarch: W: spelling-error %description -l en_US interop -> inter op, inter-op, interlope
php-webimpress-http-middleware-compatibility.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-webimpress-http-middleware-compatibility.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-webimpress-http-middleware-compatibility.src: W: spelling-error %description -l en_US interop -> inter op, inter-op, interlope
php-webimpress-http-middleware-compatibility.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-webimpress-http-middleware-compatibility.src: W: spelling-error %description -l en_US usr -> use, us, user
php-webimpress-http-middleware-compatibility.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-webimpress-http-middleware-compatibility.src: W: strange-permission makesrc.sh 775
php-webimpress-http-middleware-compatibility.src: W: invalid-url Source0: php-webimpress-http-middleware-compatibility-0.1.4-8ed1c2c.tgz
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 2 Remi Collet 2020-01-13 08:02:54 UTC
> - Please own this directory

Will do.


Thanks for the review


SCL request
https://pagure.io/releng/fedora-scm-requests/issue/21345

Comment 3 Gwyn Ciesla 2020-01-13 13:38:43 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-webimpress-http-middleware-compatibility

Comment 4 Remi Collet 2020-01-14 10:54:55 UTC
Built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.